Name: python-sip
Summary: Riverbanks's python sip
Version: 4.7.7
Release: %mkrel 1
Epoch: 1
Group: Development/Python 
URL: http://www.riverbankcomputing.co.uk/software/sip/intro
Source0: http://www.riverbankcomputing.com/static/Downloads/sip4/sip-%{version}.tar.gz
License: GPLv2+
BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: bzip2-devel
%py_requires -d
Obsoletes: sip < %version
Obsoletes: sip-devel < %version

%description
SIP is a tool that makes it very easy to create Python bindings for C and C++ libraries. It was
originally developed to create PyQt, the Python bindings for the Qt toolkit, but can be used to
create bindings for any C or C++ library.

%files 
%defattr(-,root,root)
%_bindir/sip
%py_platsitedir/s*
%py_incdir/sip.h

#------------------------------------------------------------

%prep
%setup -q -n sip-%{version}

%build

#  Don't use X11R6 prefix for includes neither libraries by default.
for file in specs/linux-*; do
    perl -p -i -e "s@/X11R6/@/@g" $file
done

%{__python} configure.py
%{make} CFLAGS="%{optflags} -fPIC" CXXFLAGS="%{optflags} -fPIC"

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%clean
%{__rm} -rf %{buildroot}


%changelog
* Sat Aug 09 2008 Funda Wang <fundawang@mandriva.org> 1:4.7.7-1mdv2009.0
+ Revision: 270022
- New version 4.7.7

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:4.7.6-3mdv2009.0
+ Revision: 265586
- rebuild early 2009.0 package (before pixel changes)

* Tue May 27 2008 Paulo Andrade <pcpa@mandriva.com.br> 1:4.7.6-2mdv2009.0
+ Revision: 211480
- Don't use X11R6 prefix for includes neither libraries by default.

  + Funda Wang <fundawang@mandriva.org>
    - fix url

* Wed May 21 2008 Funda Wang <fundawang@mandriva.org> 1:4.7.6-1mdv2009.0
+ Revision: 209886
- New version 4.7.6
- obsoletes old name

  + David Walluck <walluck@mandriva.org>
    - bump release
    - fix build on x86_64
    - 4.7.5-snapshot-20080424 (required for QT 4.4 support)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:4.7.3-1mdv2008.1
+ Revision: 116205
- update to new version 4.7.3

* Fri Nov 09 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:4.7.1-1mdv2008.1
+ Revision: 107242
- update to new version 4.7.1

* Mon Aug 20 2007 Helio Chissini de Castro <helio@mandriva.com> 1:4.7-1mdv2008.0
+ Revision: 67983
- Restored external python-sip, to make it available for all python qt3 and python qt4 builds.
- import python-sip-4.7-1mdv2008.0


